{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('statement-listFinalGroup.js') }}
{% endblock javascripts %}

{% block demosplanbundlecontent %}

    {% set counties = templateVars.counties|map(c => { label: c.name, value: c.id }) %}

    {% block title_text %}
        {#  pageheader - display procedure title + nav link #}
        {% include '@DemosPlanCore/DemosPlanCore/includes/pageheader.html.twig' with
        {
            link: path('DemosPlan_procedure_public_detail', { 'procedure':procedure }),
            link_caption: 'procedure.goto'|trans,
            width_css: {
                col1: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-1-of-5'|prefixClass,
                col2: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-4-of-5'|prefixClass
            },
                content_heading: "statements.final"|trans ~ ": " ~ getProcedureName(proceduresettings),
                content_subheading: '<p class="' ~ 'u-mb-0'|prefixClass ~ '">' ~ "text.statements.final"|trans ~ "</p>"
            }
        %}
    {% endblock title_text %}



    {#  tabs - navigation  #}

    <nav
        class="{{ 'o-page__padded c-tabs js__tabs'|prefixClass }}"
        data-tabs="statementList"
        aria-label="{{ 'tabs.navigate'|trans }}"
    >
        {% apply spaceless %}

            <ul class="{{ 'c-tabs__titles c-tabs__titles--2 u-m-0 u-pt-0_5 text-right'|prefixClass }}">

                <li class="{{ 'c-tabs__title u-nojs-hide--inline-block is-active-tab'|prefixClass }}">
                    <a class="{{ 'c-tabs__title-button'|prefixClass }}" href="#myStatementsList" aria-label="{{ 'statements.yours'|trans }}">
                        {{ 'statements.yours'|trans }}
                    </a>
                </li>

                {% if hasPermission('feature_statements_vote') and hasPermission('feature_statements_vote_may_vote') %}
                    <li class="{{ 'c-tabs__title u-nojs-hide--inline-block u-ml-0_5 '|prefixClass }}">
                        <a class="{{ 'c-tabs__title-button'|prefixClass }}" href="#votedStatementsList" aria-label="{{ 'statements.voted'|trans }}">
                            {{  'statements.voted'|trans }}
                        </a>
                    </li>
                {% endif %}

            </ul>
        {% endapply %}
    </nav>

    <div data-tabs-content="statementList" class="{{ 'o-page__padded u-pv-0_5'|prefixClass }}">

        <div id="myStatementsList" class="{{ 'c-tabs__panel u-mh-0_5 is-active-tab'|prefixClass }}">

            <form class="{{ 'layout flow-root'|prefixClass }}" name="sortform" action="{{ path('DemosPlan_statement_list_final_group',{'procedure':procedure})}}"
                  method="post">

                {# filter fieldsets  #}
                {% include '@DemosPlanCore/DemosPlanStatement/includes/form_filter.html.twig' with {
                    'filter_target'                         : 'final_group',
                    'show_filter_department'                : true,
                    'show_filter_statement'                 : true,
                    'show_filter_sort_option_submitted'     : true,
                    'show_filter_sort_option_department'    : true } %}

                {% if templateVars.list.statementlist|length > 0 %}
                    {# save / revert sorting of table entries #}
                    {% if hasPermission('feature_statements_manualsort') %}
                        <fieldset class="{{ 'flow-root layout__item u-pb-0_5'|prefixClass }}">

                            <div
                                class="layout--flush flash u-p-0_5-palm flash-{% if ( templateVars.list.manuallySorted == true ) %}warning{% else %}info{% endif %}"
                                data-flash-container>

                                <p class="{{ 'layout__item u-2-of-3 lbl'|prefixClass }}">
                                    <span class="{{ 'line-height--1_6 u-mb-0_25'|prefixClass }}">
                                        {% if ( templateVars.list.manuallySorted == true ) %}
                                            {{ "sort.set"|trans }}
                                        {% else %}
                                            {{ "sort"|trans }}
                                        {% endif %}
                                    </span>
                                    <span class="{{ 'weight--normal block'|prefixClass }}" data-flash-message></span>
                                </p><!--

                             --><div class="{{ 'layout__item u-1-of-3 u-1-of-1-palm text-right space-inline-s'|prefixClass }}">

                                    <input
                                        class="{{ 'btn btn--primary u-ph-0_5'|prefixClass }}"
                                        type="submit"
                                        name="saveManualsort"
                                        value="{{ "save"|trans }}"
                                        data-form-actions-confirm="{{ "check.sort.save"|trans }}"
                                        data-form-actions-manualsort="item_check[]">

                                    <input
                                        class="{{ 'btn btn--secondary u-ph-0_5'|prefixClass }}"
                                        type="submit"
                                        name="resetManualsort"
                                        value="{{ "reset"|trans }}"
                                        data-form-actions-confirm="{{ "check.sort.reset"|trans }}">

                                </div>

                            </div>

                        </fieldset>
                    {% endif %}

                    {# form controls above entry table (check all, print, email) #}
                    <fieldset class="{{ 'layout__item u-pb-0 flow-root'|prefixClass }}">

                        <input type="hidden" name="action" value="statementPublish">

                        {% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_mark-all.html.twig' %}

                        {% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_print_pdf.html.twig' %}

                    </fieldset>
                {% endif %}

                <dp-public-statement-list
                    class="layout__item"
                    :statements="JSON.parse('{{ templateVars.list.statementlist|default([])|json_encode|e('js', 'utf-8') }}')"
                    :counties="JSON.parse('{{ counties|default([])|json_encode|e('js', 'utf-8') }}')"
                    procedure-id="{{ templateVars.procedure|default('') }}"
                    show-author
                    show-checkbox
                    show-email
                    show-pdf-download
                    show-publish
                    show-versions
                    target="final_group"></dp-public-statement-list>
            </form>
        </div>

        <div id="votedStatementsList" class="{{ 'c-tabs__panel u-mh-0_5'|prefixClass }}">

            <form class="{{ 'layout flow-root'|prefixClass }}" name="sortform2" action="{{ path('DemosPlan_statement_list_final_group',{'procedure':procedure})}}" method="post">

                {# form controls above entry table (check all, print, email) #}
                <fieldset class="{{ 'flow-root layout__item u-pb-0'|prefixClass }}">

                    <input type="hidden" name="action" value="statementPublish">

                    {#
                        @TODO make export and Print work here for "real" statements, not only for statementDrafs like above
                        -> if that works, eMail and Print can be enabled in Listfooter..
                    #}

                    {#{% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_mark-all.html.twig' %}#}

                    {#{% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_print_pdf.html.twig' %}#}

                </fieldset>
                <dp-public-statement-list
                    class="layout__item"
                    :statements="JSON.parse('{{ templateVars.list.votedStatements|convertToLegacy|default([])|json_encode|e('js', 'utf-8') }}')"
                    :counties="JSON.parse('{{ counties|default([])|json_encode|e('js', 'utf-8') }}')"
                    procedure-id="{{ templateVars.procedure|default('') }}"
                    target="final_group"></dp-public-statement-list>
            </form>
        </div>

    </div>

{% endblock %}
